LogicExpression (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.filter.LogicExpression class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.filter
Class LogicExpression

    java.lang.Object
      org.codehaus.activemq.filter.BinaryExpression
          org.codehaus.activemq.filter.LogicExpression

All Implemented Interfaces:
  BooleanExpression, Expression

public abstract class LogicExpression
extends BinaryExpression
implements BooleanExpression

A filter performing a comparison of two objects

Version:
  $Revision: 1.1 $

Field Summary

Fields inherited from class org.codehaus.activemq.filter.BinaryExpression
`left, right`

Constructor Summary
`LogicExpression(BooleanExpression left, BooleanExpression right)`

Method Summary
`static BooleanExpression` | `createAND(BooleanExpression lvalue, BooleanExpression rvalue)`
`static BooleanExpression` | `createOR(BooleanExpression lvalue, BooleanExpression rvalue)`
`protected abstract Object` | `evaluate(Boolean lv, Boolean rv)`
`Object` | `evaluate(Message message)`

Methods inherited from class org.codehaus.activemq.filter.BinaryExpression
`equals, getExpressionSymbol, getLeft, getRight, hashCode, setLeft, setRight, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### LogicExpression

    public LogicExpression(BooleanExpression left,
                           BooleanExpression right)

Parameters:
  `left` -
  `right` -

Method Detail

### createOR

    public static BooleanExpression createOR(BooleanExpression lvalue,
                                             BooleanExpression rvalue)

### createAND

    public static BooleanExpression createAND(BooleanExpression lvalue,
                                              BooleanExpression rvalue)

### evaluate

    public Object evaluate(Message message)
                    throws JMSException

  Specified by:
    `evaluate` in interface `Expression`
  Returns:
    the value of this expression
  Throws:
    `JMSException`

### evaluate

    protected abstract Object evaluate(Boolean lv,
                                       Boolean rv)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.